package views

import "gitlab.larvit.se/power-plan/auth-ui/src/views/layouts"

func Register() string {
	content := `
<h1 class="main-title">Register</h1>
<form method="post" class="pure-form pure-form-aligned primary-form">
	<fieldset>
		<div class="pure-control-group">
			<label for="username">Username</label>
			<input type="text" placeholder="Username" name="username" id="username">
		</div>

		<div class="pure-control-group">
			<label for="password">Password</label>
			<input type="password" placeholder="Password" name="password" id="password" />
		</div>

		<div class="pure-control-group">
			<label for="repeatPassword">Repeat password</label>
			<input type="password" placeholder="Repeat password" name="repeatPassword" id="repeatPassword" />
		</div>

		<div class="pure-controls">
			<a href="/" class="pure-button">Cancel</a>
			<button type="submit" class="pure-button pure-button-primary">Register</button>
		</div>
	</fieldset>
</form>`

	return layouts.Default(layouts.DefaultData{
		Content: content,
		Title:   "Register",
	})
}
